Bug 197600 - Repeatedly search doesn't work backwards in kwrite and kate
Repeatedly search doesn't work backwards in kwrite and kate
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 10:20 EDT by Frank Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 09:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Wang 2006-07-04 10:20:01 EDT
Description of problem:
If "Find backwards" option is checked before searching, "Find next F3" doesn't 
work as expected while "Find Previous Shift+F3" does its job. If it's 
unchecked, the opposite happens. Put it another way, repeatedly search can 
only be done forwards. This is very inconvenient when repeatedly backwards 
search is wanted especially in a large file.


Version-Release number of selected component (if applicable):
kdebase-3.5.3-0.3.fc5
kdebase-3.5.3-0.2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Create a test file
for i in `seq 10`; do echo "line$i" >> test; done
2. Open "test" using kwrite or kate
3. Go to bottom and search(Ctrl+F) "line" with "Find backwards" option 
checked. Then press F3 to find next.
  
Actual results:
Nothing happens

Expected results:
"line" in line9 should be highlighted

Additional info:
Other editors like kedit and vi support repeatedly backwards search pretty 
well.
Comment 1 Frank Wang 2006-07-04 13:05:52 EDT
Kwrite and kate in fc4 have similar issue.
Comment 2 Ngo Than 2006-07-11 09:58:26 EDT
i will push new kdelibs-3.5.3-0.4.fc5 in FC5-update-testing today. It should
fix this problem. Thanks for your report.
Comment 3 Frank Wang 2006-08-04 05:36:34 EDT
The kdelibs-3.5.3-0.4.fc5 works fine as expected. Could you consider updating 
the kdelibs in FC4 as well? 
Thanks in advance!

Note You need to log in before you can comment on or make changes to this bug.